/*
 * Copyright 2010 John Schember <john@nachtimwald.com>
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EBOOKREAD_H
#define EBOOKREAD_H

#include <QList>
#include <QObject>
#include <QString>

#include "lebookread_global.h"
#include "formatreader.h"

class LEBOOKREADSHARED_EXPORT EbookRead : public QObject {
public:
    static FormatReader *getReader(QString filename, QString &error);
    static QList<QString> supportedExtensions();
};

#endif // EBOOKREAD_H
